# include/linkerscript.h File Reference

Linker script definitions. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines
#define | LDS_NANOTRACE_SECTION
| NanoTrace buffer section.
#define | LDS_STACK_SECTION
| The stack section.
#define | TEXT_IRQ *(.libavr32.text.irq.*)
| Interrupt handler section.
#define | BSS_IRQ *(.libavr32.bss.irq.*)
| Interrupt handler data section.
## Functions
void | _evba (void)
| Exception Vector Base Address.
## Variables
unsigned char | _end []
| The end of the static data.

## Detailed Description

Linker script definitions.

This file contains common linker script elements which are the same regardless of how the image ends up being booted.

- Compiler: GNU GCC for AVR32
- Supported devices: All devices
- AppNote:

Author:
  Atmel Corporation: http://www.atmel.com
  Support and FAQ: http://support.atmel.no/

Definition in file linkerscript.h.

## Define Documentation

#define BSS_IRQ *(.libavr32.bss.irq.*)

Interrupt handler data section.

This section contains the data pointers associated with each interrupt.

Definition at line 89 of file linkerscript.h.

#define LDS_NANOTRACE_SECTION

Value:

    .nanotrace (NOLOAD) : {                         \
                    KEEP(*(.nanotrace));                    \
                    . = ALIGN(8);                           \
            }

NanoTrace buffer section.

When CONFIG_NANOTRACE_SIZE is defined, this will define a .nanotrace section which will contain a buffer to store NanoTrace data when enabled by an external debugger.

When enabled, the start-xxx.S file will define a suitably-sized array called NANOTRACE to be placed in this section.

Definition at line 57 of file linkerscript.h.

#define LDS_STACK_SECTION

Value:

    .stack (NOLOAD) : {                             \
                    . = . + CONFIG_STACK_SIZE;              \
                    . = ALIGN(8);                           \
                    _end = .;                               \
            }

The stack section.

This macro must be used at the end of the linker script to reserve room for the stack.

Definition at line 69 of file linkerscript.h.

#define TEXT_IRQ *(.libavr32.text.irq.*)

Interrupt handler section.

This section contains the low-level interrupt entry points.

Definition at line 81 of file linkerscript.h.

## Function Documentation

void _evba | ( | void |  | ) |

Exception Vector Base Address.

This symbol marks the beginning of the exception handler table.

## Variable Documentation

unsigned char _end[]

The end of the static data.

This symbol marks the end of the statically allocated data, including the stack.